One Time Bank Payout
curl --request POST \
--url https://nini.monieswitch.com/payout/single \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"pin": "<string>",
"bankCode": "<string>",
"accountNumber": "<string>",
"narration": "<string>",
"saveBeneficiary": true,
"reference": "<string>"
}
'import requests
url = "https://nini.monieswitch.com/payout/single"
payload = {
"amount": 123,
"pin": "<string>",
"bankCode": "<string>",
"accountNumber": "<string>",
"narration": "<string>",
"saveBeneficiary": True,
"reference": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 123,
pin: '<string>',
bankCode: '<string>',
accountNumber: '<string>',
narration: '<string>',
saveBeneficiary: true,
reference: '<string>'
})
};
fetch('https://nini.monieswitch.com/payout/single', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Transfer of NGN200.00 to SIMI MICHELLE (2394934324/PROVIDUS BANK)/999270240627174506700563040861",
"data": {
"description": "₦200.00 transferred to SIMI MICHELLE",
"status": "SUCCESS",
"amount": 200,
"narration": "Free money testing",
"saveBeneficiary": false,
"recipientBankCode": "000023",
"recipientAccountNumber": "2394934324",
"recipientAccountName": "SIMI MICHELLE",
"charges": 20,
"bankName": "PROVIDUS BANK",
"totalAmount": 220,
"originatorAccountName": "Henry Balo",
"originatorAccountNumber": "4443355297",
"paidAt": "2024-06-27T17:45:04+01:00",
"transactionId": "015c898b-dda2-4b06-9bb5-8ef74dc353bc",
"reference": "niLmtQwN3dGcIGfq4pAOKV9EX6fBfamTUHto",
"sessionId": "999270240627174506700563040861"
}
}{
"message": "Bank transfer failed.",
"data": {
"description": "₦500.00 transfered to SIMI MICHELLE",
"status": "FAILED",
"amount": 500,
"narration": "Free money testing",
"saveBeneficiary": false,
"recipientBankCode": "000023",
"recipientAccountNumber": "2394934324",
"recipientAccountName": "SIMI MICHELLE",
"charges": 20,
"bankName": "PROVIDUS BANK",
"totalAmount": 520,
"reference": "GQe9PPfYtPVk3g2pFy3zK7AGVlF0Z2urhoZD",
"originatorAccountName": "Henry Balo",
"originatorAccountNumber": "4443355297"
},
"status": false
}Payout
One Time Bank Payout
POST
/
payout
/
single
One Time Bank Payout
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I